Package org.eclipse.ui.editors.text

## Class TextFileDocumentProvider.FileInfo

- java.lang.Object
- - org.eclipse.ui.editors.text.TextFileDocumentProvider.FileInfo

Enclosing class:
  TextFileDocumentProvider

    protected static class TextFileDocumentProvider.FileInfo
    extends Object

### Field Summary

Fields
`boolean` `fCachedReadOnlyState`
`int` `fCount`
`Object` `fElement`
`IAnnotationModel` `fModel`
`ITextFileBuffer` `fTextFileBuffer`
`LocationKind` `fTextFileBufferLocationKind` The file buffer location kind.

### Constructor Summary

Constructors
`protected` `FileInfo()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### fElement

    public Object fElement

#### fCount

    public int fCount

#### fTextFileBuffer

    public ITextFileBuffer fTextFileBuffer

#### fTextFileBufferLocationKind

    public LocationKind fTextFileBufferLocationKind

The file buffer location kind.

Since:
  3.4

#### fModel

    public IAnnotationModel fModel

#### fCachedReadOnlyState

    public boolean fCachedReadOnlyState

### Constructor Detail

#### FileInfo

    protected FileInfo()